"""Extend IP field on UserSession to support IPv6

Revision ID: 8e53629eb561
Revises: b3d35e129e0f
Create Date: 2023-09-25 06:42:21.931972

"""
from typing import Sequence, Union

import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision: str = "8e53629eb561"
down_revision: Union[str, None] = "b3d35e129e0f"
branch_labels: Union[str, Sequence[str], None] = None
depends_on: Union[str, Sequence[str], None] = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.alter_column(
        "usersession",
        "ip",
        existing_type=sa.VARCHAR(length=15),
        type_=sa.String(length=39),
        existing_nullable=False,
    )
    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.alter_column(
        "usersession",
        "ip",
        existing_type=sa.String(length=39),
        type_=sa.VARCHAR(length=15),
        existing_nullable=False,
    )
    # ### end Alembic commands ###
